import "dotenv/config";
import express from "express";
import apiRouter from "./routes";
import path from "path";
import dbInit from "./db/db_init";

let init = async () => {
  await dbInit();
  const app = express();

  app.use(express.static(path.join(__dirname, "../../client/build")));
  app.use(express.json());
  app.use(apiRouter);
  app.get("/", function (req, res) {
    res.sendFile(
      path.join(__dirname, "../../client/build/index.html"),
      function (err) {
        if (err) {
          res.status(500).send(err);
        }
      }
    );
  });
  const port = process.env.PORT || 4000;
  app.listen(port, () => console.log(`Server listening on port: ${port}`));
};

init().then(() => {});
